--[[
Copyright 2012 João Cardoso
PetTracker is distributed under the terms of the GNU General Public License (Version 3).
As a special exception, the copyright holders of this addon do not give permission to
redistribute and/or modify it.

This addon is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the addon. If not, see <http://www.gnu.org/licenses/gpl-3.0.txt>.

This file is part of PetTracker.
--]]

local _, Addon = ...
local Display = Addon:NewModule('Display')

function Display:GetQualityName(quality)
	return _G['BATTLE_PET_BREED_QUALITY' .. quality]
end

function Display:GetQualityColor(quality)
	return GetItemQualityColor(quality - 1)
end

function Display:GetTypeIcon(type)
	return 'Interface/PetBattles/PetIcon-' .. PET_TYPE_SUFFIX[type]
end

function Display:KeepShort(text)
	if not text:find('|n') and strlen(text) > 120 then
		return text:sub(0, 117) .. '...'
	end
	
	return text
end